cURL
curl --request POST \
--url https://api-dev.meeamitech.com/auth/v1/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"password": "<string>"
}
'import requests
url = "https://api-dev.meeamitech.com/auth/v1/users"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"password": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
email: '<string>',
password: '<string>'
})
};
fetch('https://api-dev.meeamitech.com/auth/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "User Created Successfully",
"data": {
"_id": "5f43a9f4f36d287b3f9e6b4b",
"teamId": "5f43a9f4f36d287b3f9e6b3h",
"firstName": "John",
"lastName": "Doe",
"email": "john.doe@example.com",
"password": "securepassword123",
"createdAt": "2025-02-07T10:05:15.793Z",
"updatedAt": "2025-02-07T10:05:15.793Z"
}
}Users
Create User
Creates a new user
POST
/
auth
/
v1
/
users
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Plant to add to the store
Response
200 - application/json
User is created successfully
The first name of the user
The last name of the user
The email of the user
The password of the user
Identification number of the plant
Team ID that the user belongs to
Date and time when the User was added to the store
Date and time when the user was last updated
⌘I